Page MenuHomePhabricator

decommission es2019.codfw.wmnet
Closed, ResolvedPublicRequest

Description

This task will track the decommission-hardware of server es2019.codfw.wmnet

With the launch of updates to the decom cookbook, the majority of these steps can be handled by the service owners directly. The DC Ops team only gets involved once the system has been fully removed from service and powered down by the decommission cookbook.

es2019

Steps for service owner:

  • - all system services confirmed offline from production use
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place.
  • - remove system from all lvs/pybal active configuration
  • - any service group puppet/hiera/dsh config removed
  • - remove site.pp, replace with role(spare::system) recommended to ensure services offline but not 100% required as long as the decom script is IMMEDIATELY run below.
  • - login to cumin host and run the decom cookbook: cookbook sre.hosts.decommission <host fqdn> -t <phab task>. This does: bootloader wipe, host power down, netbox update to decommissioning status, puppet node clean, puppet node deactivate, debmonitor removal.
  • - remove all remaining puppet references (include role::spare) and all host entries in the puppet repo
  • - remove ALL dns entries except the asset tag mgmt entries.
  • - reassign task from service owner to DC ops team member depending on site of servee.

End service owner steps / Begin DC-Ops team steps:

  • - disable switch port / set to asset tag if host isn't being unracked / remove from switch if being unracked.
  • - system disks removed (by onsite)
  • - determine system age, under 5 years are reclaimed to spare, over 5 years are decommissioned.
  • - IF DECOM: system unracked and decommissioned (by onsite), update netbox with result and set state to offline
  • - IF DECOM: switch port configuration removed from switch once system is unracked.
  • - IF DECOM: mgmt dns entries removed.

Event Timeline

Marostegui moved this task from Triage to In progress on the DBA board.

Change 630719 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] es2019: Disable notifications

https://gerrit.wikimedia.org/r/630719

Mentioned in SAL (#wikimedia-operations) [2020-09-29T06:05:39Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Depool es2019 T264063', diff saved to https://phabricator.wikimedia.org/P12824 and previous config saved to /var/cache/conftool/dbconfig/20200929-060538-marostegui.json

Change 630719 merged by Marostegui:
[operations/puppet@production] es2019: Disable notifications

https://gerrit.wikimedia.org/r/630719

Change 630760 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] instances.yaml: Remove es2019 from dbctl

https://gerrit.wikimedia.org/r/630760

Change 630760 merged by Marostegui:
[operations/puppet@production] instances.yaml: Remove es2019 from dbctl

https://gerrit.wikimedia.org/r/630760

Marostegui updated the task description. (Show Details)Sep 29 2020, 7:45 AM

Mentioned in SAL (#wikimedia-operations) [2020-09-29T07:46:03Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Remove es2019 from dbctl T264063', diff saved to https://phabricator.wikimedia.org/P12825 and previous config saved to /var/cache/conftool/dbconfig/20200929-074602-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2020-09-29T07:46:18Z] <marostegui> Stop MySQL on es2019 before decommissioning T264063

Change 630986 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Decommission es2019

https://gerrit.wikimedia.org/r/630986

Change 630987 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/dns@master] dns: Remove es2019 entries

https://gerrit.wikimedia.org/r/630987

cookbooks.sre.hosts.decommission executed by marostegui@cumin1001 for hosts: es2019.codfw.wmnet

  • es2019.codfw.wmnet (PASS)
    • Downtimed host on Icinga
    • Found physical host
    • Downtimed management interface on Icinga
    • Wiped bootloaders
    • Powered off
    • Set Netbox status to Decommissioning and deleted all non-mgmt interfaces and related IPs
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB
  • COMMON_STEPS (WARN)
    • Not all affected DC(s) have been migrated to automatic DNS, a manual patch to the operations/dns repository is required

Change 630986 merged by Marostegui:
[operations/puppet@production] mariadb: Decommission es2019

https://gerrit.wikimedia.org/r/630986

Change 630987 merged by Marostegui:
[operations/dns@master] dns: Remove es2019 entries

https://gerrit.wikimedia.org/r/630987

Marostegui reassigned this task from Marostegui to Papaul.Sep 30 2020, 5:42 AM
Marostegui updated the task description. (Show Details)
Marostegui removed a project: Patch-For-Review.
Marostegui edited projects, added ops-codfw, DC-Ops; removed DBA.

Ready for DC-Ops!

Restricted Application added a project: SRE. · View Herald TranscriptSep 30 2020, 5:42 AM

Mentioned in SAL (#wikimedia-operations) [2020-09-30T05:43:27Z] <marostegui> Remove es2019 from tendril and zarcillo T264063

papaul@asw-d-codfw# show | compare
[edit interfaces interface-range vlan-private1-d-codfw]
-    member ge-6/0/19;
[edit interfaces interface-range disabled]
     member ge-1/0/4 { ... }
+    member ge-6/0/19;
[edit interfaces]
-   ge-6/0/19 {
-       description es2019;
-       enable;
-   }
Papaul updated the task description. (Show Details)Sep 30 2020, 4:41 PM
Papaul updated the task description. (Show Details)Sep 30 2020, 5:43 PM

complete

Papaul closed this task as Resolved.Sep 30 2020, 5:44 PM